Bug 1675557 - nuxwdog: FTBFS in Fedora rawhide/f30
Summary: nuxwdog: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: nuxwdog
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ade Lee
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 21:17 UTC by Fedora Release Engineering
Modified: 2019-06-01 00:30 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-04 15:20:04 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 21:17 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 21:17 UTC, Fedora Release Engineering
no flags Details
state.log (621 bytes, text/plain)
2019-02-11 21:17 UTC, Fedora Release Engineering
no flags Details
nuxwdog-retire-commands (5.15 KB, text/plain)
2019-02-25 12:23 UTC, Dinesh Prasanth
no flags Details

Description Fedora Release Engineering 2019-02-11 21:17:29 UTC
nuxwdog failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32426722


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix nuxwdog at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
nuxwdog will be orphaned. Before branching of Fedora 31,
nuxwdog will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 21:17:32 UTC
Created attachment 1531726 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 21:17:33 UTC
Created attachment 1531727 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 21:17:35 UTC
Created attachment 1531728 [details]
state.log

Comment 4 Dinesh Prasanth 2019-02-18 07:38:58 UTC
Nuxwdog fails to build due to a known error in Keyutils: https://bugzilla.redhat.com/show_bug.cgi?id=1629878

@mharmsen, @edewata: do we still need to support this package for F30+ as we have integrated nuxwdog's code into PKI's codebase?

Comment 5 Endi Sukma Dewata 2019-02-18 15:06:34 UTC
I think we can retire this package in F30. Please see:
https://fedoraproject.org/wiki/How_to_remove_a_package_at_end_of_life

Comment 6 Dinesh Prasanth 2019-02-25 12:23:47 UTC
Created attachment 1538421 [details]
nuxwdog-retire-commands

Comment 7 Dinesh Prasanth 2019-02-25 12:26:44 UTC
The package has been retired in both `master` and `f30` branches. 

master
======
https://src.fedoraproject.org/rpms/nuxwdog/c/26ab9808382410958f770de4811c03c7cf2817b4?branch=master

f30
===
https://src.fedoraproject.org/rpms/nuxwdog/c/8a04ef002e7591920ea7270b56efc643029c2189?branch=f30

As per the wiki [1], retired packages need to be blocked to prevent pushing to mirrors. This happens automatically during the next compose. If it doesn't get blocked automatically after 2 days, we might need to file a ticket.

[1] https://fedoraproject.org/wiki/How_to_remove_a_package_at_end_of_life#Koji

Attachment: Attaching the list of commands executed to retire (for reference)

Comment 8 Dinesh Prasanth 2019-04-04 15:20:04 UTC
Since nuxwdog has been retired on f30+, I'm closing this bug as WONTFIX

[dmoluguw@mkd ~]  $ koji list-pkgs  --show-blocked --tag f30 --package nuxwdog
Package                 Tag                     Extra Arches     Owner          
----------------------- ----------------------- ---------------- ---------------
nuxwdog                 f30                                      releng          [BLOCKED]

[dmoluguw@mkd ~]  $ koji list-pkgs  --show-blocked --tag f31 --package nuxwdog
Package                 Tag                     Extra Arches     Owner          
----------------------- ----------------------- ---------------- ---------------
nuxwdog                 f31                                      releng          [BLOCKED]


Note You need to log in before you can comment on or make changes to this bug.